Name:		shared-mime-info
Version:	0.10
Release:	1mdk
Summary:	Shared MIME-Info Specification
Group:		Graphical desktop/Other
License:	GPL
URL:		http://www.freedesktop.org/standards/shared-mime-info.html
Source:		http://www.freedesktop.org/standards/%{name}/%{name}-%{version}.tar.bz2
Patch:		shared-mime-info-0.8-noupdate.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libxml2-devel
BuildRequires:	glib2-devel


%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

For interoperability, it is useful for different programs to use the
same database so that different programs agree on the type of a file,
and new rules for determining the type apply to all programs.

This specification attempts to unify the type-guessing systems currently
in use by GNOME, KDE and ROX. Only the name-to-type and contents-to-type
mappings are covered by this spec; other MIME type information, such as
the default handler for a particular type, or the icon to use to display
it in a file manager, are not covered since these are a matter of style.

In addition, freedesktop.org provides a shared database in this format
to avoid inconsistencies between desktops. This database has been
created by converting the existing KDE and GNOME databases to the new
format and merging them together.

%prep
%setup -q
%patch

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%_bindir/update-mime-database %_datadir/mime

%files
%defattr (-,root,root)
%doc README shared-mime-info-spec.xml
%_bindir/update-mime-database
%{_datadir}/mime/packages/freedesktop.org.xml
%_mandir/man1/update-mime-database.1*

%changelog
* Tue Mar  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.10-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- rebuild

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- license changed to GPL
- removed noarch
- 0.8

* Mon Jun  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7-1mdk
- set license from free to Public Domain
- adapt for Mandrake

* Fri May 31 2002 Jos Romildo Malaquias <romildo@iceb.ufop.br> 1.3.1-1
- First spec file for rox.
